#ifndef __IN303_DISPLAY_H__
#define __IN303_DISPLAY_H__

#include <stdlib.h>

typedef struct HufVertex HufVertex;
typedef HufVertex* HufTree;

/**
 * Écrire des données de débogage sur la sortie d'erreurs standard
 * (seulement si le mode verbeux est actif)
 */
void printVerbose(const char* format, ...);

/**
 * Active ou désactive l'affichage des messages de débogage (mode verbeux)
 * sur la sortie d'erreurs standard
 */
void setVerbose(int);

/**
 * Renvoie l'état du mode verbeux
 */
int isVerbose();

/**
 * Afficher sur la sortie standard l'arbre passé en paramètre
 */
void printTree(HufTree tree);

/**
 * Afficher sur la sortie standard le tableau associant les caractères
 * à leur fréquence d'apparition passé en argument
 */
void printFrequenciesTable(double*, size_t);

/**
 * Afficher sur la sortie standard le tableau associant les caractères
 * à leur étiquette passé en argument
 */
void printLabelsTable(char**, size_t);

#endif
